# Project Roadmap

This document outlines the future direction of the `mvn-tree-visualizer` project. It's a living document, and the priorities may change based on user feedback and community contributions.

## Near-Term Goals (1-3 Months)

*   **Support for Multiple Output Formats:**
    *   [x] JSON
*   **Dependency Highlighting and Filtering:**
    *   [ ] `--highlight <dependency>`
    *   [ ] `--filter <dependency>`
    *   [ ] `--exclude <dependency>`
*   **Display Dependency Versions:**
    *   [ ] `--show-versions`

## Mid-Term Goals (3-6 Months)

*   **"Watch" Mode:**
    *   [ ] `--watch`
*   **Improved Visual Appearance:**
    *   [ ] Customizable Themes (`--theme`)
    *   [ ] Better Layout Options
    *   [ ] Interactive Features (Tooltips)
*   **Unit Tests:**
    *   [ ] Increase test coverage to at least 80%.

## Long-Term Goals (6-12 Months)

*   **Web-Based Version:** A web-based version of the tool where users can paste their dependency tree and get a visualization without having to install the CLI.
*   **Integration with IDEs:** A plugin for IDEs like VS Code or IntelliJ IDEA that would allow users to visualize the dependency tree directly in their editor.

## How to Contribute

If you're interested in contributing to any of these features, please check out our [CONTRIBUTING.md](CONTRIBUTING.md) file for more information.
